List
curl --request GET \
--url https://api-staging.genuka.com/2023-11/admin/supplierProducts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-staging.genuka.com/2023-11/admin/supplierProducts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-staging.genuka.com/2023-11/admin/supplierProducts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-08-13T09:04:52.000000Z",
"deleted_at": null,
"handle": "un-produit-de-test-l",
"id": "01k2hasmw27x5r9202h4wyc7r3",
"medias": [],
"metadata": null,
"price": 100,
"product_variant_id": "01k2hasmvmeqt9k24h6vt3db2j",
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "",
"updated_at": "2025-08-13T09:04:52.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-08-13T09:04:15.000000Z",
"deleted_at": null,
"handle": "un-produit-de-test-m",
"id": "01k2harh37j00j2jyzhmn3tb06",
"medias": [],
"metadata": null,
"price": 12,
"product_variant_id": "01k2harh2sr9w6kfxcpn45yss3",
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "",
"updated_at": "2025-08-13T09:04:52.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-08-13T08:58:07.000000Z",
"deleted_at": null,
"handle": "hello-g",
"id": "01k2hada3t2pxt63gh9d52y93v",
"medias": [],
"metadata": null,
"price": 80,
"product_variant_id": "01k2hada3fqwn2gh4fbkrvbpdn",
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "",
"updated_at": "2025-08-13T08:58:07.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-08-13T08:49:23.000000Z",
"deleted_at": null,
"handle": "hello-m",
"id": "01k2h9x9r7z09f430vqycanby4",
"medias": [],
"metadata": null,
"price": 12,
"product_variant_id": "01k2h94pxr2y18qzw7wy9txf94",
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "",
"updated_at": "2025-08-13T08:58:07.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": "Ceci est un tshirt",
"created_at": "2025-08-11T19:23:35.000000Z",
"deleted_at": null,
"handle": "tshirt",
"id": "01k2d9d4j9jqgetah8jtn7hj3k",
"medias": [],
"metadata": null,
"price": 800,
"product_variant_id": "01k2d9d4hgrwvp5vxd365qb3ww",
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "",
"updated_at": "2025-08-11T19:23:35.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": "Ceci est un tshirt",
"created_at": "2025-08-11T19:23:35.000000Z",
"deleted_at": null,
"handle": "tshirt-blanc-m",
"id": "01k2d9d4h84pm2qghrcmr51n0c",
"medias": [],
"metadata": null,
"price": 800,
"product_variant_id": "01k2d9d4gfw8pxj7ngz5wm9x2e",
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "",
"updated_at": "2025-08-11T19:23:35.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": "Ceci est un tshirt",
"created_at": "2025-08-11T19:23:35.000000Z",
"deleted_at": null,
"handle": "tshirt-blanc-s",
"id": "01k2d9d4g7d7mvsnhg260jyyak",
"medias": [],
"metadata": null,
"price": 800,
"product_variant_id": "01k2d9d4fb1azcx12zxqwbt3av",
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "",
"updated_at": "2025-08-11T19:23:35.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-07-29T09:36:26.000000Z",
"deleted_at": null,
"handle": "abonnement-aux-services-cloud-pour-lequipe-de-developpement-jLFKT",
"id": "01k1an6tgwj0q6nj28tze6g2qj",
"medias": [],
"metadata": null,
"price": 114539,
"product_variant_id": null,
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "Abonnement aux services cloud pour l'équipe de développement",
"updated_at": "2025-07-29T09:36:26.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-07-29T09:36:26.000000Z",
"deleted_at": null,
"handle": "abonnement-aux-services-cloud-pour-lequipe-de-developpement-SJI4d",
"id": "01k1an6tdgx91r30kdeqc316m7",
"medias": [],
"metadata": null,
"price": 418584,
"product_variant_id": null,
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "Abonnement aux services cloud pour l'équipe de développement",
"updated_at": "2025-07-29T09:36:26.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-07-29T09:36:26.000000Z",
"deleted_at": null,
"handle": "abonnement-aux-services-cloud-pour-lequipe-de-developpement-IvCnX",
"id": "01k1an6tkbkrrez3b3hy2cv8mj",
"medias": [],
"metadata": null,
"price": 471314,
"product_variant_id": null,
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "Abonnement aux services cloud pour l'équipe de développement",
"updated_at": "2025-07-29T09:36:26.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-07-29T09:36:26.000000Z",
"deleted_at": null,
"handle": "abonnement-aux-services-cloud-pour-lequipe-de-developpement-ymG51",
"id": "01k1an6tnnxgr2a3hevpnjz4st",
"medias": [],
"metadata": null,
"price": 540402,
"product_variant_id": null,
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "Abonnement aux services cloud pour l'équipe de développement",
"updated_at": "2025-07-29T09:36:26.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-07-29T09:36:26.000000Z",
"deleted_at": null,
"handle": "abonnement-aux-services-cloud-pour-lequipe-de-developpement-4tXgE",
"id": "01k1an6tas01tx4nhk8h1mrkaq",
"medias": [],
"metadata": null,
"price": 610773,
"product_variant_id": null,
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "Abonnement aux services cloud pour l'équipe de développement",
"updated_at": "2025-07-29T09:36:26.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-07-29T09:36:22.000000Z",
"deleted_at": null,
"handle": "achat-dencre-et-de-papier-pour-le-bureau-dhPBG",
"id": "01k1an6pg9fppy6g0efyvd43mt",
"medias": [],
"metadata": null,
"price": 551460,
"product_variant_id": null,
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "Achat d'encre et de papier pour le bureau",
"updated_at": "2025-07-29T09:36:22.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-07-29T09:36:22.000000Z",
"deleted_at": null,
"handle": "achat-dencre-et-de-papier-pour-le-bureau-KJUa1",
"id": "01k1an6p9fp4eaxw02grjhpyqq",
"medias": [],
"metadata": null,
"price": 339168,
"product_variant_id": null,
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "Achat d'encre et de papier pour le bureau",
"updated_at": "2025-07-29T09:36:22.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-07-29T09:36:22.000000Z",
"deleted_at": null,
"handle": "achat-dencre-et-de-papier-pour-le-bureau-wAcm7",
"id": "01k1an6p7m8t464t25n45d06g0",
"medias": [],
"metadata": null,
"price": 413082,
"product_variant_id": null,
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "Achat d'encre et de papier pour le bureau",
"updated_at": "2025-07-29T09:36:22.000000Z"
}
],
"links": {
"first": "http://genuka-api.test/2023-11/admin/supplierProducts?page=1",
"last": "http://genuka-api.test/2023-11/admin/supplierProducts?page=16",
"next": "http://genuka-api.test/2023-11/admin/supplierProducts?page=2",
"prev": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 16,
"links": [
{
"active": false,
"label": "« Previous",
"page": null,
"url": null
},
{
"active": true,
"label": "1",
"page": 1,
"url": "http://genuka-api.test/2023-11/admin/supplierProducts?page=1"
},
{
"active": false,
"label": "2",
"page": 2,
"url": "http://genuka-api.test/2023-11/admin/supplierProducts?page=2"
},
{
"active": false,
"label": "3",
"page": 3,
"url": "http://genuka-api.test/2023-11/admin/supplierProducts?page=3"
},
{
"active": false,
"label": "4",
"page": 4,
"url": "http://genuka-api.test/2023-11/admin/supplierProducts?page=4"
},
{
"active": false,
"label": "5",
"page": 5,
"url": "http://genuka-api.test/2023-11/admin/supplierProducts?page=5"
},
{
"active": false,
"label": "6",
"page": 6,
"url": "http://genuka-api.test/2023-11/admin/supplierProducts?page=6"
},
{
"active": false,
"label": "7",
"page": 7,
"url": "http://genuka-api.test/2023-11/admin/supplierProducts?page=7"
},
{
"active": false,
"label": "8",
"page": 8,
"url": "http://genuka-api.test/2023-11/admin/supplierProducts?page=8"
},
{
"active": false,
"label": "9",
"page": 9,
"url": "http://genuka-api.test/2023-11/admin/supplierProducts?page=9"
},
{
"active": false,
"label": "10",
"page": 10,
"url": "http://genuka-api.test/2023-11/admin/supplierProducts?page=10"
},
{
"active": false,
"label": "...",
"url": null
},
{
"active": false,
"label": "15",
"page": 15,
"url": "http://genuka-api.test/2023-11/admin/supplierProducts?page=15"
},
{
"active": false,
"label": "16",
"page": 16,
"url": "http://genuka-api.test/2023-11/admin/supplierProducts?page=16"
},
{
"active": false,
"label": "Next »",
"page": 2,
"url": "http://genuka-api.test/2023-11/admin/supplierProducts?page=2"
}
],
"path": "http://genuka-api.test/2023-11/admin/supplierProducts",
"per_page": 15,
"to": 15,
"total": 239
}
}Suppliers
Get all suppliers
Retrieves the complete list of suppliers associated with products in the authenticated company. Each entry contains supplier details, related products, and relevant metadata. Useful for managing supplier relationships and tracking sourcing information.
GET
/
2023-11
/
admin
/
supplierProducts
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Response
200 - application/json
200
Show child attributes
Show child attributes
Example:
[
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-08-13T09:04:52.000000Z",
"deleted_at": null,
"handle": "un-produit-de-test-l",
"id": "01k2hasmw27x5r9202h4wyc7r3",
"medias": [],
"metadata": null,
"price": 100,
"product_variant_id": "01k2hasmvmeqt9k24h6vt3db2j",
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "",
"updated_at": "2025-08-13T09:04:52.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-08-13T09:04:15.000000Z",
"deleted_at": null,
"handle": "un-produit-de-test-m",
"id": "01k2harh37j00j2jyzhmn3tb06",
"medias": [],
"metadata": null,
"price": 12,
"product_variant_id": "01k2harh2sr9w6kfxcpn45yss3",
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "",
"updated_at": "2025-08-13T09:04:52.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-08-13T08:58:07.000000Z",
"deleted_at": null,
"handle": "hello-g",
"id": "01k2hada3t2pxt63gh9d52y93v",
"medias": [],
"metadata": null,
"price": 80,
"product_variant_id": "01k2hada3fqwn2gh4fbkrvbpdn",
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "",
"updated_at": "2025-08-13T08:58:07.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-08-13T08:49:23.000000Z",
"deleted_at": null,
"handle": "hello-m",
"id": "01k2h9x9r7z09f430vqycanby4",
"medias": [],
"metadata": null,
"price": 12,
"product_variant_id": "01k2h94pxr2y18qzw7wy9txf94",
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "",
"updated_at": "2025-08-13T08:58:07.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": "Ceci est un tshirt",
"created_at": "2025-08-11T19:23:35.000000Z",
"deleted_at": null,
"handle": "tshirt",
"id": "01k2d9d4j9jqgetah8jtn7hj3k",
"medias": [],
"metadata": null,
"price": 800,
"product_variant_id": "01k2d9d4hgrwvp5vxd365qb3ww",
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "",
"updated_at": "2025-08-11T19:23:35.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": "Ceci est un tshirt",
"created_at": "2025-08-11T19:23:35.000000Z",
"deleted_at": null,
"handle": "tshirt-blanc-m",
"id": "01k2d9d4h84pm2qghrcmr51n0c",
"medias": [],
"metadata": null,
"price": 800,
"product_variant_id": "01k2d9d4gfw8pxj7ngz5wm9x2e",
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "",
"updated_at": "2025-08-11T19:23:35.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": "Ceci est un tshirt",
"created_at": "2025-08-11T19:23:35.000000Z",
"deleted_at": null,
"handle": "tshirt-blanc-s",
"id": "01k2d9d4g7d7mvsnhg260jyyak",
"medias": [],
"metadata": null,
"price": 800,
"product_variant_id": "01k2d9d4fb1azcx12zxqwbt3av",
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "",
"updated_at": "2025-08-11T19:23:35.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-07-29T09:36:26.000000Z",
"deleted_at": null,
"handle": "abonnement-aux-services-cloud-pour-lequipe-de-developpement-jLFKT",
"id": "01k1an6tgwj0q6nj28tze6g2qj",
"medias": [],
"metadata": null,
"price": 114539,
"product_variant_id": null,
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "Abonnement aux services cloud pour l'équipe de développement",
"updated_at": "2025-07-29T09:36:26.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-07-29T09:36:26.000000Z",
"deleted_at": null,
"handle": "abonnement-aux-services-cloud-pour-lequipe-de-developpement-SJI4d",
"id": "01k1an6tdgx91r30kdeqc316m7",
"medias": [],
"metadata": null,
"price": 418584,
"product_variant_id": null,
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "Abonnement aux services cloud pour l'équipe de développement",
"updated_at": "2025-07-29T09:36:26.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-07-29T09:36:26.000000Z",
"deleted_at": null,
"handle": "abonnement-aux-services-cloud-pour-lequipe-de-developpement-IvCnX",
"id": "01k1an6tkbkrrez3b3hy2cv8mj",
"medias": [],
"metadata": null,
"price": 471314,
"product_variant_id": null,
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "Abonnement aux services cloud pour l'équipe de développement",
"updated_at": "2025-07-29T09:36:26.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-07-29T09:36:26.000000Z",
"deleted_at": null,
"handle": "abonnement-aux-services-cloud-pour-lequipe-de-developpement-ymG51",
"id": "01k1an6tnnxgr2a3hevpnjz4st",
"medias": [],
"metadata": null,
"price": 540402,
"product_variant_id": null,
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "Abonnement aux services cloud pour l'équipe de développement",
"updated_at": "2025-07-29T09:36:26.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-07-29T09:36:26.000000Z",
"deleted_at": null,
"handle": "abonnement-aux-services-cloud-pour-lequipe-de-developpement-4tXgE",
"id": "01k1an6tas01tx4nhk8h1mrkaq",
"medias": [],
"metadata": null,
"price": 610773,
"product_variant_id": null,
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "Abonnement aux services cloud pour l'équipe de développement",
"updated_at": "2025-07-29T09:36:26.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-07-29T09:36:22.000000Z",
"deleted_at": null,
"handle": "achat-dencre-et-de-papier-pour-le-bureau-dhPBG",
"id": "01k1an6pg9fppy6g0efyvd43mt",
"medias": [],
"metadata": null,
"price": 551460,
"product_variant_id": null,
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "Achat d'encre et de papier pour le bureau",
"updated_at": "2025-07-29T09:36:22.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-07-29T09:36:22.000000Z",
"deleted_at": null,
"handle": "achat-dencre-et-de-papier-pour-le-bureau-KJUa1",
"id": "01k1an6p9fp4eaxw02grjhpyqq",
"medias": [],
"metadata": null,
"price": 339168,
"product_variant_id": null,
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "Achat d'encre et de papier pour le bureau",
"updated_at": "2025-07-29T09:36:22.000000Z"
},
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": null,
"created_at": "2025-07-29T09:36:22.000000Z",
"deleted_at": null,
"handle": "achat-dencre-et-de-papier-pour-le-bureau-wAcm7",
"id": "01k1an6p7m8t464t25n45d06g0",
"medias": [],
"metadata": null,
"price": 413082,
"product_variant_id": null,
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "Achat d'encre et de papier pour le bureau",
"updated_at": "2025-07-29T09:36:22.000000Z"
}
]
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
